Bug 603904 - Review Request: xautomation - Tools to automate tasks in X, even detecting on screen images
Review Request: xautomation - Tools to automate tasks in X, even detecting on...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: MERCIER Jonathan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 15:44 EDT by Mohamed El Morabity
Modified: 2015-12-08 06:36 EST (History)
7 users (show)

See Also:
Fixed In Version: xautomation-1.03-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 17:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bioinfornatics: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohamed El Morabity 2010-06-14 15:44:20 EDT
Spec URL: http://melmorabity.fedorapeople.org/packages/xautomation/xautomation.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/xautomation/xautomation-1.03-1.fc13.src.rpm

Description:
Control X from the command line for scripts, and do "visual scraping" to find things on the screen. The control interface allows mouse movement, clicking, button up/down, key up/down, etc, and uses the XTest extension so you don't have the annoying problems that xse has when apps ignore sent events. The visgrep program find images inside of images and reports the coordinates, allowing progams to find buttons, etc, on the screen to click on.


Builds fine in mock, no rpmlint warnings except false-positive spelling issues.
Comment 1 MERCIER Jonathan 2010-06-23 12:00:52 EDT
MUST: rpmlint must be run on every package. The output should be posted in the review.
_____________________________________________________________________________________________
spec file:
$ rpmlint -i xautomation.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
_____________________________________________________________________________________________
src.rpm file:
$ rpmlint -i ../SRPMS/xautomation-1.03-1.fc13.src.rpm 
xautomation.src: W: spelling-error %description -l en_US xse -> sex, use, XS
The value of this tag appears to be misspelled. Please double-check.

xautomation.src: W: spelling-error %description -l en_US visgrep -> visage, viscera, visited
The value of this tag appears to be misspelled. Please double-check.

xautomation.src: W: spelling-error %description -l en_US progams -> programs, program, phanerogams
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.
_____________________________________________________________________________________________
rpm file:
$ rpmlint -i ../RPMS/x86_64/xautomation-*.rpm
xautomation.x86_64: W: spelling-error %description -l en_US xse -> sex, use, XS
The value of this tag appears to be misspelled. Please double-check.

xautomation.x86_64: W: spelling-error %description -l en_US progams -> programs, program, phanerogams
The value of this tag appears to be misspelled. Please double-check.

2 packages and 0 specfiles checked; 0 errors, 2 warnings.
========================================================
MUST: The package must be named according to the Package Naming Guidelines :  OK
========================================================
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption: OK
========================================================
MUST: The package must meet the Packaging Guidelines : OK
========================================================
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines: GPLv2+ OK
=======================================================
MUST: The License field in the package spec file must match the actual license: OK
=======================================================
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc: they are COPYING file and it is in %doc
=======================================================
MUST: The spec file must be written in American English: OK 
=======================================================
MUST: The spec file for the package MUST be legible: OK
=======================================================
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this: md5sum is same OK
=======================================================
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture: compile and build OK
=======================================================
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line : NA
=======================================================
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense : minimum build environment OK
=======================================================
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden: NA
=======================================================
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun: no shared library NA
=======================================================
MUST: Packages must NOT bundle copies of system libraries: OK
=======================================================
If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker: NA
=======================================================
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory: %files section OK
=======================================================
MUST: A Fedora package must not list a file more than once in the spec file's %files listings: %files section OK
Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line: %files section OK
=======================================================
MUST: Each package must consistently use macros: Not OK see https://fedoraproject.org/wiki/Packaging/Guidelines#macros
=======================================================
MUST: The package must contain code, or permissable content: OK
=======================================================
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity): NA
=======================================================
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present
=======================================================
MUST: Header files must be in a -devel package: no header NA
=======================================================
MUST: Static libraries must be in a -static package: no static package NA
=======================================================
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package: No *.so file NA
=======================================================
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}: no devel package NA
=======================================================
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built: no .la file OK
=======================================================
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation: is not a GUI NA
=======================================================
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time: OK
=======================================================
MUST: All filenames in rpm packages must be valid UTF-8: OK
=======================================================
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it: they are COPYING file in source OK
=======================================================
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available: Only english no other translation available OK
=======================================================
SHOULD: The package should compile and build into binary rpms on all supported architectures: try with mock (fedora 12-13: i386, x86_64, ppc64, ppc, s390x, sparc64, sparc) mock -r "version" rebuild xautomation-1.03-1.fc13.src.rpm 
do not work for ppc64, ppc, s390x, sparc64, sparc
=======================================================
SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example: OK
=======================================================
SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity: NA
=======================================================
SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency: NA
=======================================================
HOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb: NA
=======================================================
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself: NA
=======================================================
SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense: OK
Comment 2 MERCIER Jonathan 2010-06-23 12:38:56 EDT
For koji and scratch rebuild is ok for ppc,i386,x86_64:
F-12 --> koji build --scratch dist-f12 /xautomation-1.03-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2268436
F-13 --> koji build --scratch dist-f13 xautomation-1.03-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2268443
Comment 3 MERCIER Jonathan 2010-06-23 14:23:45 EDT
ok your package is good:
in comment #1 is said a bad think, you use only one style for $RPM_BUILD_ROOT instead macro %{buildroot} is good
Comment 4 Mohamed El Morabity 2010-06-23 15:38:46 EDT
Thanks for the review :)
I've just corrected the "true-positive" mispelling on "progams":
  http://melmorabity.fedorapeople.org/packages/xautomation/xautomation.spec
  http://melmorabity.fedorapeople.org/packages/xautomation/xautomation-1.03-2.fc13.src.rpm
Comment 5 Mohamed El Morabity 2010-06-23 15:41:55 EDT
New Package CVS Request
=======================
Package Name: xautomation
Short Description:  Tools to automate tasks in X, even detecting on screen images
Owners: melmorabity
Branches: F-12 F-13
InitialCC:
Comment 6 Jason Tibbitts 2010-06-26 04:02:10 EDT
This ticket is not assigned to anyone; it should be assigned to the reviewer.

Please fix and re-raise the fedora-cvs flag.
Comment 7 Jason Tibbitts 2010-06-26 17:30:06 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-07-05 19:52:32 EDT
xautomation-1.03-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xautomation-1.03-3.fc13
Comment 9 Fedora Update System 2010-07-05 20:05:26 EDT
xautomation-1.03-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xautomation-1.03-3.fc12
Comment 10 Fedora Update System 2010-07-06 13:05:45 EDT
xautomation-1.03-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xautomation'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xautomation-1.03-3.fc12
Comment 11 Fedora Update System 2010-07-06 13:30:06 EDT
xautomation-1.03-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xautomation'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xautomation-1.03-3.fc13
Comment 12 Fedora Update System 2010-08-10 17:37:59 EDT
xautomation-1.03-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-08-10 17:43:23 EDT
xautomation-1.03-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Martin Cermak 2015-12-08 06:04:58 EST
Package Change Request
======================
Package Name: xautomation
New Branches: el7
Owners: melmorabity mcermak
InitialCC: 

Plan to build xautomation for epel7. Hmmm, can't set 'fedora-cvs?'. Not sure why. Jon, any idea?
Comment 15 Pierre-YvesChibon 2015-12-08 06:36:30 EST
That would be because the fedora-cvs flag is no longer used: https://fedoraproject.org/wiki/PackageDB_admin_requests#Additional_branches_for_existing_packages

Note You need to log in before you can comment on or make changes to this bug.